do you need snow leopard to open doc.x and ppt.x?

I have tried to install the package that allows my Macbook to read these documents but it says I need OS 10.6 (snow leopard)-why can't I read these Office docs with OS 10.5.8?

Back To Product

Follow this Question

1 Answer from the Community

  • Answer

    what are you using to open them?
    both iWork '09 and office '08 handle .docx, .pptx, .xlsx etc.. if you are trying to open them in preview then yes you will need SL

    Was this useful? Answer 1

    2 of 3 people found this useful

Related Questions